std::shared_future< _Res >(3)

NAME
std::shared_future< _Res > - Primary template for shared_future.

SYNOPSIS

#include <future>

Inherits std::__basic_future< _Res >.

  Public Member Functions
shared_future (const shared_future &__sf) noexcept
Copy constructor.
shared_future (future< _Res > &&__uf) noexcept
Construct from a future rvalue.
shared_future (shared_future &&__sf) noexcept
Construct from a shared_future rvalue.
const _Res & get () const
Retrieving the value.
shared_future & operator= (const shared_future &__sf) noexcept
shared_future & operator= (shared_future &&__sf) noexcept
bool valid () const noexcept
void wait () const
template<typename _Rep , typename _Period > future_status wait_for (const chrono::duration< _Rep, _Period > &__rel) const
template<typename _Clock , typename _Duration > future_status wait_until (const chrono::time_point< _Clock, _Duration > &__abs) const

  Protected Types
typedef __future_base::_Result< _Res > & __result_type
typedef shared_ptr< _State_base > __state_type

  Protected Member Functions
__result_type _M_get_result () const
Wait for the state to be ready and rethrow any stored exception.
void _M_swap (__basic_future &__that) noexcept

Detailed Description

  template<typename _Res>
class std::shared_future< _Res >"Primary template for shared_future.

Constructor & Destructor Documentation

  template<typename _Res > std::shared_future< _Res >::shared_future (const shared_future< _Res > & __sf) [inline], [noexcept]

Copy constructor.

  template<typename _Res > std::shared_future< _Res >::shared_future (future< _Res > && __uf) [inline], [noexcept]

Construct from a future rvalue.

  template<typename _Res > std::shared_future< _Res >::shared_future (shared_future< _Res > && __sf) [inline], [noexcept]

Construct from a shared_future rvalue.

Member Function Documentation

  template<typename _Res > __result_type std::__basic_future< _Res >::_M_get_result () const [inline], [protected], [inherited]

Wait for the state to be ready and rethrow any stored exception.

  template<typename _Res > const _Res & std::shared_future< _Res >::get () const [inline]

Retrieving the value.

Author

Generated automatically by Doxygen for libstdc++ from the source code.